﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartAxisLabelsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private string xAxis_FormatLabel(object sender, object item)
        {
            if(item != null && !string.IsNullOrEmpty(item.ToString()))
            {
                double val = double.Parse(item.ToString());

                if(val == -0.1 || val == 0 || val == 0.1)
                {
                    return string.Empty;
                }
                else if(val < 0)
                {
                    val = val * -1;
                    return val.ToString();
                }
                else
                {
                    return item.ToString();
                }
            }
            else
            {
                return string.Empty;
            }
        }
    }
}
